Page MenuHomeFreeBSD

pkg-search is only available after the port of pkg or pkg-devel is installed
ClosedPublic

Authored by jgh on Nov 10 2014, 8:25 PM.

Details

Reviewers
wblock
remko
bcr
Summary

pkg-search is only available after the port of pkg or pkg-devel is installed

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

jgh updated this revision to Diff 2342.Nov 10 2014, 8:25 PM
jgh retitled this revision from to pkg-search is only available after the port of pkg or pkg-devel is installed.
jgh updated this object.
jgh edited the test plan for this revision. (Show Details)
jgh added reviewers: bcr, remko, wblock.
jgh set the repository for this revision to rD FreeBSD doc repository.
remko edited edge metadata.Nov 10 2014, 8:28 PM

If you are going to revise all these things, we refer to many ports that are not installed by default and need to be installed before they can be used. It had been like that for like well as long as I am a committer, should we change this?

jgh added a comment.Nov 10 2014, 8:31 PM

The only reason I noted this, is because there is a reference to see pkg-search (that points to a web link for the man page) that is unavailable. This happened recently for another man page based off a port that wasn't available until software was installed, and the same logic was applied. I happened to be involved in that commit, as well.

wblock edited edge metadata.Nov 13 2014, 7:02 PM

Overall, this change makes sense to me, although the phrasing is weird. The earlier change, not as much. It was a confusion between whether a link to the online man page was available. The link was there, the online man page was not, because they have to be generated by some magic unavailable to mere mortals.

wblock added inline comments.Nov 13 2014, 7:03 PM
handbook/ports/chapter.xml
307 ↗(On Diff #2342)

This would be better rearranged:
"After installing ..., see &man.pkg-search.8; for more details."

jgh updated this revision to Diff 2391.Nov 13 2014, 7:44 PM
jgh edited edge metadata.

agreed.

jgh updated this revision to Diff 2392.Nov 13 2014, 7:48 PM
wblock added inline comments.Nov 13 2014, 11:40 PM
chapter.xml
309

Missing a close </para> tag on this line, but good otherwise.

bcr accepted this revision.Nov 24 2014, 10:28 AM
bcr edited edge metadata.

I think this is fine now.

This revision is now accepted and ready to land.Nov 24 2014, 10:28 AM
jgh closed this revision.Nov 24 2014, 4:18 PM